Delete a work order comment attachment
curl --request DELETE \
--url https://{companyName}.api.joinluminous.com/external/api/v1/work-orders/{workOrderId}/comments/{commentId}/attachments/{attachmentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/work-orders/{workOrderId}/comments/{commentId}/attachments/{attachmentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/work-orders/{workOrderId}/comments/{commentId}/attachments/{attachmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true,
"message": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Work Order Comments & Shipments
Delete a work order comment attachment
Delete an attachment from a work order comment.
DELETE
/
work-orders
/
{workOrderId}
/
comments
/
{commentId}
/
attachments
/
{attachmentId}
Delete a work order comment attachment
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Path Parameters
ID of the work order.
ID of the comment the attachment belongs to.
ID of the attachment to delete.
Response
Successful response
Show child attributes
Show child attributes
⌘I